// http://blog.theknightsofunity.com/monobehavior-calls-optimization/
using UnityEngine;

public class BoxManaged : MonoBehaviour {

	void OnEnable(){
		BoxManager.Instance.Register(this);
	}

	void OnDisable(){
		BoxManager.Instance.Unregister(this);
	}

	public void _Update(){
		transform.Rotate( 10.0f * Time.deltaTime, 20.0f * Time.deltaTime, 30.0f * Time.deltaTime);
	}
}
